Bug 967980 - [RFE] pulp.bindings.repository.RepositorySearchAPI.search should allow query parameters
[RFE] pulp.bindings.repository.RepositorySearchAPI.search should allow query ...
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-05-28 13:37 EDT by Randy Barlow
Modified: 2015-02-28 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-18 20:11:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 192 None None None Never

  None (edit)
Description Randy Barlow 2013-05-28 13:37:22 EDT
The API on the server[0] allows the caller to specify that they want importers and distributors to be included with the API call by passing "importers" and "distributors" as keys to boolean values.

The pulp.bindings.repository.RepositorySearchAPI.search() method only allows the specification of the search criteria, and so it is not possible to use that interface to retrieve the importers and distributors with the repositories in a single call.

[0] https://pulp-dev-guide.readthedocs.org/en/latest/integration/rest-api/repo/retrieval.html#advanced-search-for-repositories
Comment 1 Brian Bouterse 2015-02-18 20:11:02 EST
Moved to https://pulp.plan.io/issues/192

Note You need to log in before you can comment on or make changes to this bug.